Bug 474561 - /sbin/busybox not statically linked
/sbin/busybox not statically linked
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: busybox (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Ivana Varekova
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-04 08:13 EST by Vladimir Ivanovic
Modified: 2008-12-13 10:05 EST (History)
1 user (show)

See Also:
Fixed In Version: busybox-1.10.3-4.fc10.i386
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-13 10:05:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vladimir Ivanovic 2008-12-04 08:13:37 EST
Description of problem: Busybox is not statically linked.


Version-Release number of selected component (if applicable): busybox-1.10.3-3.fc10.i386 


How reproducible: always


Steps to Reproduce:
1. file /sbin/busybox
2.
3.
  
Actual results: /sbin/busybox: ELF 32-bit LSB executable, Intel 80386, version 1 (SYSV), dynamically linked (uses shared libs), stripped



Expected results: something similar, except statically linked.


Additional info: Note that the rpm info says busybox is statically linked:
rpm -qi busybox ==> Summary     : Statically linked binary providing simplified versions of system commands
Comment 1 Fedora Update System 2008-12-04 10:24:51 EST
busybox-1.10.3-4.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/busybox-1.10.3-4.fc10
Comment 2 Fedora Update System 2008-12-06 23:19:11 EST
busybox-1.10.3-4.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update busybox'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2008-10800
Comment 3 Vladimir Ivanovic 2008-12-07 18:21:19 EST
Fixed in busybox-1.10.3-4.fc10.

$ ldd /sbin/busybox
	not a dynamic executable
$ rpm -q busybox
busybox-1.10.3-4.fc10.i386

Thanks. (Being statically linked is important for embedded users.)
Comment 4 Fedora Update System 2008-12-13 10:05:11 EST
busybox-1.10.3-4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.